summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarcel Hellkamp <marc@gsites.de>2014-02-07 06:29:14 -0600
committerMarcel Hellkamp <marc@gsites.de>2014-02-07 06:29:14 -0600
commitb7031472bb5f1acfbfb5a12f04fab000f0b521e9 (patch)
tree87394df450ac9cdc2efcae3f0f0080935fb790d4
parentd22d01b868c8217110fb8c470fc177f7f0c23fb9 (diff)
downloadbottle-b7031472bb5f1acfbfb5a12f04fab000f0b521e9.tar.gz
Added travis configuration
-rw-r--r--.travis.yml19
-rwxr-xr-xtest/travis_setup.sh16
2 files changed, 35 insertions, 0 deletions
diff --git a/.travis.yml b/.travis.yml
new file mode 100644
index 0000000..b728267
--- /dev/null
+++ b/.travis.yml
@@ -0,0 +1,19 @@
+language: python
+
+python:
+ - "2.6"
+ - "2.7"
+ - "3.2"
+ - "3.3"
+
+matrix:
+ include:
+ - python: 2.7
+ env: PY=2.5
+ - python: 2.7
+ env: PY=3.1
+
+install:
+ - sh test/travis_setup.sh
+
+script: python${PY:-} test/testall.py fast
diff --git a/test/travis_setup.sh b/test/travis_setup.sh
new file mode 100755
index 0000000..7c63b2c
--- /dev/null
+++ b/test/travis_setup.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+set -x
+
+if test -n "$PY"; then
+ # https://github.com/pycurl/pycurl/blob/master/tests/travis/setup.sh
+ sudo add-apt-repository -y ppa:fkrull/deadsnakes
+ sudo apt-get update
+ sudo apt-get install python$PY-dev
+
+ if test "$PY" = 2.5; then
+ wget -O - http://python-distribute.org/distribute_setup.py | sudo python$PY
+ sudo easy_install-$PY simplejson
+ fi
+fi